| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::SocketNetmaskIPv6 Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- QString address
- uchar prefixLength

## Detailed Description

Structure type generated from the specification.

An IPv6 network or subnet.

## Member Data Documentation

QString Tp::SocketNetmaskIPv6::address

An IPv6 address literal as specified by RFC2373 section 2.2, e.g. "2001:DB8::8:800:200C:4171".

uchar Tp::SocketNetmaskIPv6::prefixLength

The number of leading bits of the address that must match, for this netmask to be considered to match an address.